Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232446 - Minimal installation of fedora.
Summary: Minimal installation of fedora.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 15:51 UTC by Jan ONDREJ
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-16 16:55:15 UTC


Attachments (Terms of Use)

Description Jan ONDREJ 2007-03-15 15:51:48 UTC
Description of problem:
It is very hard to install minimal Fedora Core system with enabled yum and
networking. Can you make yum and dhclient to be installed always?
Another problem is, that I am unable to click "Customize packages" when package
group is not selected. Can it be changed to allow selecting optional packages no
subpackages are selected?

Steps to Reproduce:
1. start installer a go into customized package selector
2. deselect all groups
3. go to "Base system -> Base"
4. deselect this group
5. Try to click on "Optional packages"
  
Actual results:
Can't click, this button is gray an can't be clicked.

Expected results:
Allow clicking and open customization dialog with no packages selected.

Additional info:
With this method anybody can install a minimal installation with yum and can
install other packages in easy way.

Most of "Base" packages can't be used on most server machines (for example
Network manager, bluez, ...) and many of them can't be used on most of
workstations. Is is not effective to install them on ALL machines.

Base system (minimal system) also can not be installed in text mode. It
absollutely not posiible to install minimal system in text mode.

Comment 1 Will Woods 2007-03-15 17:06:16 UTC
Maybe you should try using a kickstart? This is exactly the sort of problem
kickstart is designed to solve: installations of custom package sets.

Comment 2 Jan ONDREJ 2007-03-16 05:50:56 UTC
No, it is not what I want. Is is too complicated again.
For kickstart installation I can't use original install CD/DVD image.
"kickstart file" on diskette is needed, but there is no FDD on new machines.

Only what I want is an minimal installation of Fedora 7 with dhclient (basic
networking) and yum installed make fast (do not require to deselect 40 packages)
and easy (do not require FDD with special file, ...).

Thank you.

Comment 3 David Cantrell 2007-03-16 16:55:15 UTC
Kickstart does not require the ks file to be on a floppy.  It can be on a USB
key or another disc or even a remote site.  What we generally do at RH is place
ks files on HTTP servers.  Pass ks=http://yoursite.whatever/path/to/ksfile as
the kickstart parameter.

See command-line.txt and kickstart-docs.txt in the anaconda documentation in
/usr/share/doc.


Note You need to log in before you can comment on or make changes to this bug.